PDA

View Full Version : Slimserver won't start



xiffy
2007-11-12, 13:53
Hi Guys,
I'm running CentOS 5 and squeezebox. All for quite some time without problems. Today I restarted slimserver because there was an issue of the slimserver not rescanning my library.
But when I restart slimserver I get this error:

Starting SlimServer: Weak references are not implemented in the version of perl at /usr/local/slimserver/Slim/Networking/Async.pm line 21

Now this all has to do with a Perl upgrade I know because in the last week the yum nightly updated a couple of Perl packages including this one:
Installed: perl-Net-Daemon.noarch 0.43-1.el5.rf

Problem is I don't know Perl, and I guess more ppl will be seeing the error in the near future.

What's the easiest way to get slimserver back to work?

xiffy
2007-11-12, 14:07
Oaky, my err.
Didn't search long enough. The new Perl install apparently had a wrong Scalar::Util.
So I followed this thread: http://forums.slimdevices.com/showthread.php?t=23097&highlight=Weak+references By reinstalling Scalar::Util from CPAN and all seems to be working again.
Cheers

Mark Miksis
2007-11-12, 14:13
For reference, what version of slimserver is this?